{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.badger.main": {
      "states": {
        "default": {
          "animations": [
            "idle"
          ],
          "transitions": [
            {
              "walk": "!q.is_sleeping && !q.is_interested && q.modified_move_speed >= 0.05"
            },
            {
              "run": "!q.is_sleeping && q.is_interested && q.modified_move_speed >= 0.05"
            },
            {
              "sleep": "q.is_sleeping"
            }
          ],
          "blend_transition": 0.2
        },
        "walk": {
          "animations": [
            "walk"
          ],
          "transitions": [
            {
              "default": "q.modified_move_speed < 0.05"
            },
            {
              "run": "q.is_interested"
            },
            {
              "sleep": "q.is_sleeping"
            }
          ],
          "blend_transition": 0.2
        },
        "sleep": {
          "animations": [
            "sleep"
          ],
          "transitions": [
            {
              "default": "!q.is_sleeping"
            }
          ],
          "blend_transition": 0.2
        },
        "run": {
          "animations": [
            "run"
          ],
          "transitions": [
            {
              "default": "q.modified_move_speed < 0.05"
            },
            {
              "walk": "!q.is_interested"
            },
            {
              "sleep": "q.is_sleeping"
            }
          ],
          "blend_transition": 0.2
        }
      }
    },
    "controller.animation.silverlabs_nat.badger.events": {
      "states": {
        "default": {
          "animations": [
            "duration"
          ],
          "transitions": [
            {
              "random_anim": "!q.is_sleeping && q.all_animations_finished"
            }
          ]
        },
        "random_anim": {
          "transitions": [
            {
              "sniff": "math.random_integer(0, 10) == 0"
            },
            {
              "left_ear_flick": "math.random_integer(0, 9) == 0"
            },
            {
              "right_ear_flick": "math.random_integer(0, 8) == 0"
            },
            {
              "default": "1"
            }
          ]
        },
        "right_ear_flick": {
          "animations": [
            "right_ear_flick"
          ],
          "transitions": [
            {
              "default": "q.all_animations_finished"
            }
          ]
        },
        "left_ear_flick": {
          "animations": [
            "left_ear_flick"
          ],
          "transitions": [
            {
              "default": "q.all_animations_finished"
            }
          ]
        },
        "sniff": {
          "animations": [
            "sniff"
          ],
          "transitions": [
            {
              "default": "q.all_animations_finished"
            }
          ]
        }
      }
    }
  }
}
